javax.swing

## Interface JComboBox.KeySelectionManager

- Enclosing class:
    JComboBox

      public static interface JComboBox.KeySelectionManager

  The interface that defines a `KeySelectionManager`. To qualify as a `KeySelectionManager`, the class needs to implement the method that identifies the list index given a character and the combo box data model.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `selectionForKey(char aKey, ComboBoxModel aModel)` Given `aKey` and the model, returns the row that should become selected.

- - ### Method Detail

    - #### selectionForKey

          int selectionForKey(char aKey,
                            ComboBoxModel aModel)

      Given `aKey` and the model, returns the row that should become selected. Return -1 if no match was found.
      Parameters:
        `aKey` - a char value, usually indicating a keyboard key that was pressed
        `aModel` - a ComboBoxModel -- the component's data model, containing the list of selectable items
      Returns:
        an int equal to the selected row, where 0 is the first item and -1 is none.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.